/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2005-2010. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *******************************************************************************/
dojo.provide("net.jazz.ajax.ui.ErrorPage");

dojo.require("dijit._Widget");
dojo.require("dijit._Templated");
dojo.require("dojo.i18n");

dojo.requireLocalization("net.jazz.ajax.ui.internal", "ErrorPageMessages");

(function() {

/*
 * An error widget that appears in the content area, when
 * something has gone wrong processing a request
 */
dojo.declare("net.jazz.ajax.ui.ErrorPage",
	[dijit._Widget, dijit._Templated], {

	templatePath: dojo.moduleUrl("net.jazz.ajax", "ui/internal/templates/ErrorPage.html"),
	
	constructor: function () {
		this.messages = dojo.i18n.getLocalization("net.jazz.ajax.ui.internal", "ErrorPageMessages");
	},
	
	postCreate: function() {
		if (this.message) this.setMessage(this.message);
	},
	setMessage: function(message, finePrint) {
		this._errorMessage.innerHTML = "";
		if (!message) message = this.messages.defaultErr;
		this._errorMessage.appendChild(document.createTextNode(message));
		if (finePrint) {
			var div = document.createElement("div");
			div.className = "fine-print";
			div.appendChild(document.createTextNode(finePrint));
			this._errorMessage.appendChild(div);	
		}
		this.message = message;	
	}
});

})();