/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2005-2008. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *******************************************************************************/
dojo.provide("com.ibm.team.repository.web.ui.internal.LoginWidget");

dojo.require("dijit._Widget");
dojo.require("dijit._Templated");
dojo.require("dijit.form.Button");
dojo.require("dijit.form.TextBox");
dojo.require("dijit.form.CheckBox");
dojo.require("dojox.data.dom");
dojo.require("dojo.i18n");

dojo.requireLocalization("com.ibm.team.repository.web.ui.internal", "LoginWidgetMessages");

(function() {
	
dojo.declare("com.ibm.team.repository.web.ui.internal.LoginWidget", [dijit._Widget, dijit._Templated], {
		
	templatePath: dojo.moduleUrl("com.ibm.team.repository.web", "ui/internal/templates/LoginWidget.html"),
	widgetsInTemplate: true,
	
	constructor: function () {
		this.messages = dojo.i18n.getLocalization("com.ibm.team.repository.web.ui.internal", "LoginWidgetMessages");
	},
	
	setUserId: function (id) {
		this.useridNode.domNode.value = id;
	},
	
	showErrorMessage: function (msg) {
		dojox.data.dom.removeChildren(this.loginErrorDiv);
		this.loginErrorDiv.appendChild(document.createTextNode(msg));
	},
	
	hideErrorMessage: function () {
		dojox.data.dom.removeChildren(this.loginErrorDiv);
	}
});

})();